com.amazonaws.codegen.model.intermediate

## Class ListModel

- java.lang.Object
- - com.amazonaws.codegen.model.intermediate.ListModel

    public class ListModel
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ListModel(String memberType, String memberLocationName, String implType, String interfaceType, MemberModel listMemberModel)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getImplType()`
`String` `getInterfaceType()`
`MemberModel` `getListMemberModel()`
`String` `getMemberAdditionalMarshallingPath()`
`String` `getMemberAdditionalUnmarshallingPath()`
`String` `getMemberLocationName()`
`String` `getMemberType()`
`String` `getSimpleType()`
`String` `getTemplateImplType()`
`String` `getTemplateType()`
`boolean` `isMap()`
`boolean` `isMarshallNonAutoConstructedEmptyLists()`
`boolean` `isSendEmptyQueryString()`
`boolean` `isSimple()`
`void` `setMarshallNonAutoConstructedEmptyLists(boolean marshallNonAutoConstructedEmptyLists)`
`void` `setMemberAdditionalMarshallingPath(String memberAdditionalMarshallingPath)`
`void` `setMemberAdditionalUnmarshallingPath(String memberAdditionalUnmarshallingPath)`
`void` `setSendEmptyQueryString(boolean sendEmptyQueryString)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ListModel

    public ListModel(String memberType,
                     String memberLocationName,
                     String implType,
                     String interfaceType,
                     MemberModel listMemberModel)

### Method Detail

#### getImplType

    public String getImplType()

#### getMemberType

    public String getMemberType()

#### getInterfaceType

    public String getInterfaceType()

#### getListMemberModel

    public MemberModel getListMemberModel()

#### getMemberLocationName

    public String getMemberLocationName()

#### getMemberAdditionalMarshallingPath

    public String getMemberAdditionalMarshallingPath()

#### setMemberAdditionalMarshallingPath

    public void setMemberAdditionalMarshallingPath(String memberAdditionalMarshallingPath)

#### getMemberAdditionalUnmarshallingPath

    public String getMemberAdditionalUnmarshallingPath()

#### setMemberAdditionalUnmarshallingPath

    public void setMemberAdditionalUnmarshallingPath(String memberAdditionalUnmarshallingPath)

#### isSendEmptyQueryString

    public boolean isSendEmptyQueryString()

#### setSendEmptyQueryString

    public void setSendEmptyQueryString(boolean sendEmptyQueryString)

#### isMarshallNonAutoConstructedEmptyLists

    public boolean isMarshallNonAutoConstructedEmptyLists()

#### setMarshallNonAutoConstructedEmptyLists

    public void setMarshallNonAutoConstructedEmptyLists(boolean marshallNonAutoConstructedEmptyLists)

#### isSimple

    public boolean isSimple()

#### isMap

    public boolean isMap()

#### getTemplateType

    public String getTemplateType()

#### getTemplateImplType

    public String getTemplateImplType()

#### getSimpleType

    public String getSimpleType()